[![GitHub version](https://badge.fury.io/gh/tobiasBielefeld%2FSimple-Solitaire.svg)](https://badge.fury.io/gh/tobiasBielefeld%2FSimple-Solitaire)
![license](http://img.shields.io/badge/license-GPLv3+-brightgreen.svg)
![platform](http://img.shields.io/badge/platform-Android-blue.svg)

[<img alt="Get it on Google Play" height="80" src="https://play.google.com/intl/en_us/badges/images/generic/en_badge_web_generic.png">](https://play.google.com/store/apps/details?id=de.tobiasbielefeld.solitaire) [<img src="https://f-droid.org/badge/get-it-on.png" alt="Get it on F-Droid" height="80">](https://f-droid.org/app/de.tobiasbielefeld.solitaire)

####Now contains 13 different Solitaire games!
AcesUp, Canfield, Forty&Eight, FreeCell, Golf, Gypsy, Klondike, Mod3, Pyramid, SimpleSimon, Spider, Tripeaks and Yukon!

## To-Do List

- [X] Add more games (frecell, spider and yukon)
- [X] Improve the settings to use fragments
- [X] Add even more games (Simple Simon, Golf, etc)
- [ ] Add the card themes from Kpatience, if their license is compatible to mine.
- [ ] Add a color chooser for background color
- [X] Improve the Highscores to a Statistics Activity (including date stamps)
- [ ] Find the reason why the game activity gets created two times when changing the screen orientation in game
- [ ] Add a button to mix the cards if no movement can be done
- [ ] Add 'Grandfathers Clock'
- [ ] Add a Custom game maker, maybe
- [X] Add a 'poker standard' card theme and 4 color themes
- [X] Add a option to Yukon to play on same suits, instead of different color (like Russian Solitaire)
- [X] Also save high scores when canceling a game
- [ ] Add an option to set up appearance for each game indivially
- [ ] implement "Tap to select/move cards"

## Translations
Thanks to the following persons for providing translations :D
- Esperanto and Polish: verdulo
- French: romainhk
- Japanese: naofum
- Finnish: winjar

#Simple Solitaire
You can find screenshots for phones and tablets and the uses card themes as .svg files [here](./pictures/screenshots)

There is a DummyGame class with a lot of comments, if you want to add a new game. I hope it's good enough for that!

I learned Android and Java by myself using e-books and browsing Stack Overflow for solutions, so please don't expect too much from my source code :D

It is a very simple game, but customizable and with some neat functions like hints. Here is my Google Play description:

Highly customizable:
There are 6 different looking card sets in this game, 12 different card backgrounds and 6 different background colours. So you have a large choice to customize your experience!

Set up difficulty:
You can set up the difficulty for Klondike, Spider and Golf in the settings!

Automatic saving:
The current game will be saved every time you pause or close the app. So you can continue your game where you left it!

High Score list:
When winning a game, your score will be saved in a list of up to 10 high scores.

Game features:
This game has a undo function to take back up to 20 card movements. A hint function shows you up to 3 possible card movements at once.

Left handed mode:little changea
There is a option for left handed people to mirror the card positions to the left side of the screen.

No ads:
This game is completely free without ads, tracking or something else. Just have fun :)

Landscape and tablet support: 
You can switch to landscape mode, this is better for larger screens. It is also possible to lock the orientation in the settings

##License

The Poker card theme was originally pulbished on https://sourceforge.net/projects/vector-cards/ under the [LGPLv3 license!](https://www.gnu.org/licenses/lgpl-3.0.en.html)
The other card themes used in this project were originally published on https://pixabay.com/ under the [CC0 license!](https://creativecommons.org/share-your-work/public-domain/cc0/)

You can download the used pictures as .svg files from my [pictures directory](./pictures/cards)

The Material Design Symbols used for the menu icons are made by Google Inc and are published under the [Apache 2.0 license!](https://www.apache.org/licenses/LICENSE-2.0.txt)

This project is licensed under the GPLv3+ license! Full license text can be found [here](./LICENSE.txt)
```
Copyright (C) 2016  Tobias Bielefeld
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

If you want to contact me, send me an e-mail at tobias.bielefeld@gmail.com
```
